nginx package compiled on testing?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

nginx package compiled on testing?

arch general mailing list-2
At this moment packages in core/extra are:
nginx 1.12.1-1
pacman 5.0.2-1

nginx -V has
--with-cc-opt='-march=x86-64 -mtune=generic -O2 -pipe
-fstack-protector-strong -fno-plt -D_FORTIFY_SOURCE=2'

but the pacman 5.0.2-1 version of /etc/makepkg.conf doesn't have the
-fno-plt argument.

I'd assume nginx 1.12.1-1 was compiled on a system with pacman 5.0.2-2
from testing?

https://git.archlinux.org/svntogit/packages.git/diff/trunk/makepkg.conf?h=packages/pacman&id=0cd22d4454e0e1b3ae589b95274f808001465c15

Is this allowed?


I suspect this is one of the reasons I can't compile a dynamic module for nginx


--
damjan
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: nginx package compiled on testing?

Giancarlo Razzolini-2
Em julho 13, 2017 12:34 Damjan Georgievski via arch-general escreveu:
> I'd assume nginx 1.12.1-1 was compiled on a system with pacman 5.0.2-2
> from testing?
>

Yes. We are removing hardned-wrapper from makedepends.

>
> Is this allowed?
>

Yes.

>
> I suspect this is one of the reasons I can't compile a dynamic module for nginx
>

Probably. I suggest you either wait, switch to [testing] or add the flags to your
makepkg.conf manually.

Cheers,
Giancarlo Razzolini

attachment0 (887 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: nginx package compiled on testing?

Bartłomiej Piotrowski-3
In reply to this post by arch general mailing list-2
On 2017-07-13 17:34, Damjan Georgievski via arch-general wrote:

> At this moment packages in core/extra are:
> nginx 1.12.1-1
> pacman 5.0.2-1
>
> nginx -V has
> --with-cc-opt='-march=x86-64 -mtune=generic -O2 -pipe
> -fstack-protector-strong -fno-plt -D_FORTIFY_SOURCE=2'
>
> but the pacman 5.0.2-1 version of /etc/makepkg.conf doesn't have the
> -fno-plt argument.
>
> I'd assume nginx 1.12.1-1 was compiled on a system with pacman 5.0.2-2
> from testing?
>
> https://git.archlinux.org/svntogit/packages.git/diff/trunk/makepkg.conf?h=packages/pacman&id=0cd22d4454e0e1b3ae589b95274f808001465c15
>
> Is this allowed?

I, the undersigned, do hereby allow rebuilding packages against
repository other than the target one if such recommendation has been
given in the todo description.

Bartłomiej Piotrowski
Loading...